#!/bin/bash

OLD_IFS=${IFS}
IFS=$'\x0a'

lines=`usbip port`

for line in $lines; do
    port=$(echo "$line" | grep -P -o "Port\s\d{2}" | grep -P -o "\d{2}")
    if [ -n "$port" ]; then
	usbip detach -p $port
    fi
done

lines=`usbip list -r localhost`

for line in $lines; do
    busid=$(echo "$line" | grep -P -o "\d+-\d+:" | grep -P -o "\d+-\d+")
    if [ -n "$busid" ]; then
	usbip unbind -b $busid
    fi
done

IFS=$OLD_IFS
