#!/bin/bash

SHARED_USB_DEVICES=/etc/usbip/shared-usb-devices

get_busid()
{
    usbip list -l | grep $VENID_DEVID | grep busid | grep -P -o "\d+-\d+"
}

usbip_share()
{
    if cat $SHARED_USB_DEVICES | grep $VENID_DEVID;then
    sudo usbip bind -b "$BUSID"
    fi
}

if [ ! -e $SHARED_USB_DEVICES ]; then
    exit 0
fi

VENID_DEVID=$1
BUSID=$(get_busid)

usbip_share

