#!/bin/bash

REMOTE_USB_DEVICES=/etc/usbip/remote-usb-devices

if [ ! -e $REMOTE_USB_DEVICES ]; then
    exit 0
fi

lines=`cat "$REMOTE_USB_DEVICES"`
for line in $lines; do
    ipaddr=$(echo "$line" | grep -P -o "^[^/]+/" | grep -P -o "^[^/]+")
    busid=$(echo "$line" | grep -P -o "\d+-\d+")
    sudo usbip attach -r $ipaddr -b $busid
done
